#include <bits/stdc++.h>
using namespace std;
int t,n,m,k,o,g,b1,b2;
int main(){
    cin >> t;
    for(int i=1;i<=t;i++){
        cin >> n >> m >> k;
        g=n/k;
        o=n%k;
        b1=((g*(g+1))/2)*(k-o);
        b2=(((g+1)*(g+2))/2)*o;
        if((m-(b1+b2))>=0){
            cout << "Tak" << endl;
        }
        else{
            cout << "Nie" << endl;
        }
    }
return 0;
}